Subject: bug#13084: boyer_moore crashes with certain characters in the case table

From: martin rudalics <[email-masked]>
Date: Wed, 12 Dec 2012 11:21:36 +0100

> So the dataflow to get the canonical character will be Á -> A -> a.
 > If `case-fold-search' is nil, then Á -> A.  If a new variable
 > `decomposition-search' (or `normalized-search') is nil then Á -> á.

Any such table should allow handling asymmetric searches: That is,
searching for "ába" should match "ába" "ábà" and "ábá" but not "aba" or
"àbá".  Can we do that?

martin